import ajax from '../utils/request.js'


export default {
	doLogin(data) {
		return ajax.postForm('/api/doLogin', data)
	},

	register(data) {
		return ajax.postForm('/api/register', data)
	},
	getItemList(){
		return ajax.get('/TbItemType/getList')
	},
	getCustomerList(){
		return ajax.get('/TbCostomer/getList',{judgeStatus:2})
	},
	getCarList(){
		return ajax.get('/TbCar/getList',{pageNo:1,pageSize:500})
	},
	getDriverList(){
		return ajax.get('/TbDriver/getList',{pageNo:1,pageSize:500})
	},
	getGoodsList(){
		return ajax.get('/TbGoods/getList',{pageNo:1,pageSize:50})
	},
	saveBusiness(data){
		return ajax.postForm('/TbBusiness/add',data)
	},
	getBusinessList(data){
		return ajax.get('/TbBusiness/getList',data)
	},
	adminConfirmPay(data){
		return ajax.postForm('/TbBusiness/adminConfirmPay',data)
	},
	adminConfirmIn(data){
		return ajax.postForm('/TbBusiness/adminConfirmIn',data)
	},
    getInOutRecord(data) {
        return ajax.get('/api/getInOutRecord', data)
    },
    getCustomerList(data) {
        return ajax.get('/api/getCustomerList', data)
    },
    confirmCustomer(data) {
        return ajax.postForm('/api/confirmCustomer', data)
    },
	deleteHsPeople(data){
		  return ajax.postForm('/TbBusinessPeople/deleteById', data)
	},
	getCurrentPerCode(){
		return ajax.get('/SpRolePermission/getPcodeByCurrRid')
	},
	getBusinessById(data){
		return ajax.get('/TbBusiness/getById',data)
	},
	confirmBusiness(data){
		return ajax.postForm('/TbBusiness/confirm',data)
	},
	confirmPay(data){
		return ajax.postForm('/TbBusiness/pay',data)
	},
	adminSetIn(data){
		return ajax.postForm('/TbBusiness/adminSetIn',data)
	},
	adminSetOut(data){
		return ajax.postForm('/TbBusiness/adminOut',data)
	},
	deleteBusiness (data){
		return ajax.postForm('/TbBusiness/delete',data)
	},
	getBusinessPeople(data){
		return ajax.get('/TbBusinessPeople/getList',data)
	},
	getCustomerById(data){
		return ajax.get('/TbCostomer/getById',data)
	},
	editCustomer(data){
		return ajax.postForm('/TbCostomer/update',data)
	},
}
