package com.pj.current.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;

@Data
@Component
@ConfigurationProperties(prefix = "part-config")
public class PartConfig {
    private Double freeCarLength;
    private BigDecimal basePrice;
    private BigDecimal extraPrice;
    private String  nightEnd;
    private long freeMinutes;

}
